🚀 Teable Credits Up 10x! See our changelog for details.
curl --request GET \
--url 'https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/list?take=20&cursor=SOME_STRING_VALUE&includeCursor=SOME_BOOLEAN_VALUE&direction=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"comments": [
{
"id": "<string>",
"content": [
{
"children": [
{
"value": "<string>"
}
],
"value": null
}
],
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"createdTime": "<string>",
"reaction": [
{
"reaction": "<string>",
"user": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
]
}
],
"lastModifiedTime": "<string>",
"quoteId": "<string>",
"deletedTime": "<string>"
}
],
"nextCursor": "<string>"
}Get record comment list
curl --request GET \
--url 'https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/list?take=20&cursor=SOME_STRING_VALUE&includeCursor=SOME_BOOLEAN_VALUE&direction=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"comments": [
{
"id": "<string>",
"content": [
{
"children": [
{
"value": "<string>"
}
],
"value": null
}
],
"createdBy": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"createdTime": "<string>",
"reaction": [
{
"reaction": "<string>",
"user": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
]
}
],
"lastModifiedTime": "<string>",
"quoteId": "<string>",
"deletedTime": "<string>"
}
],
"nextCursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The record count you want to take, maximum is 1000
20
forward Was this page helpful?